/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*
 *  Authors: Iain Holmes <iain@prettypeople.org>
 *
 *  Copyright 2003 Iain Holmes
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of version 2 of the GNU General Public 
 *  License as published by the Free Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Street #330, Boston, MA 02111-1307, USA.
 *
 */

#ifndef __MARLIN_SAMPLE_DRAWING_H__
#define __MARLIN_SAMPLE_DRAWING_H__

#include <gtk/gtkwidget.h>
#include <marlin/marlin-sample.h>

void marlin_sample_draw (MarlinSample *sample,
			 GtkWidget *widget,
			 GdkRectangle *area,
			 GtkStateType state_type,
			 guint channel_num,
			 guint fpp,
			 int xofs,
			 float vmax,
			 float vmin);

#endif
